;-----------------------------------------------------
;+
; NAME: GAT_READ_SIGNAL_DATA_HIST
; PURPOSE:
;        The purpose of this program is read data from the
;        signal data historgram
; CALLING SEQUENCE:
;
; gat_read_signal_data_his, lf
;
; INPUT:
;    lf
; MODIFICATION HISTORY:
;    2001 Mar 01  Frank Monaldo  
; Copyright (C) 2001, Johns Hopkins University/Applied 
; Physics Laboratory. This software may be used, copied, 
; or redistributed as long as it is not sold and this 
; copyright notice is reproduced on each copy made.  This
; routine is provided as is without any express or implied 
; warranties whatsoever.  
;-

pro gat_read_signal_data_his, lf, help=help, quiet=quiet
		   
if keyword_set(help)  or (n_params(0) lt 1 )   then begin
  print, ' NAME: GAT_READ_SIGNAL_DATA_HISt
  print, ' PURPOSE:
  print, '        The purpose of this program is read data from the
  print, '        signal data historgram
  print, ' CALLING SEQUENCE:
  print, '
  print, ' gat_read_signal_data_hist, lf
  print, '
  print, ' INPUT:
  print, '    lf
  return           
endif
printflag=1
if keyword_set(quiet)   then printflag=0 
;
; Reading data from record
;
;lf.n_line=  long( reverse( lf.signal_data_histogram_rec[ 84:91] ), 0, 1 )
;lf.n_pixel= long( reverse( lf.signal_data_histogram_rec[ 93:99] ), 0, 1 )
;stop
end
