;-----------------------------------------------------
;+
; NAME: GAT_READ_DATA_QUAL
; PURPOSE:
;        The purpose of this program is read data from the
;        data quality record
; CALLING SEQUENCE:
;   gat_read_data_qual, lf, /help, /quiet
; INPUT:
;    lf       leaderfile struture
; MODIFICATION HISTORY:
;  2001 mar 01    Frank Monaldo  
; Copyright (C) 2001, Johns Hopkins University/Applied 
; Physics Laboratory. This software may be used, copied, 
; or redistributed as long as it is not sold and this 
; copyright notice is reproduced on each copy made.  This
; routine is provided as is without any express or implied 
; warranties whatsoever.  
;-

pro gat_read_data_qual, lf, help=help, quiet=quiet
		   
if keyword_set(help)  or (n_params(0) lt 1 ) then begin
  print, ' NAME: GAT_READ_DATA_QUAL
  print, ' PURPOSE:
  print, '        The purpose of this program is read data from the
  print, '        data quality record
  print, ' CALLING SEQUENCE:
  print, '   gat_read_data_qual, lf, /help, /quiet
  print, ' INPUT:
  print, '    lf       leaderfile struture
  print, '
  return           
endif
printflag=1
if keyword_set(quiet)   then printflag=0 
;
; Determine System Arch
;
;
arch=strcompress(!version.arch, /remove_all)
;
; Reading data from record
; 

end
